> For the complete documentation index, see [llms.txt](https://docs.sonarsource.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonarsource.com/sonarqube-server/10.1/project-administration/project-existence.md).

# Project existence

Typically, projects are created during their first analysis and never deleted. But, for atypical situations, SonarQube Server 10.1 allows you to manage project existence.

{% hint style="info" %}
**For AI agents:** You're in the SonarQube Server 10.1 documentation. For a list of all 10.1 pages, see the [SonarQube Server 10.1 page index](https://931701944-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FguPtldYmKsIetAs13CP3%2Fuploads%2Fs39TkZGwkPpdgnCfogQg%2Fsonarqube-server-10.1-llms.txt?alt=media). For the whole site, see the [page index](https://docs.sonarsource.com/llms.txt) or the [full text](https://docs.sonarsource.com/llms-full.txt). For another version, replace 10.1 in the URL with that version. The [latest version](https://docs.sonarsource.com/sonarqube-server/) has no version number in its URL.
{% endhint %}

Typically, projects are created during their first analysis and never deleted (because old software never dies). For atypical situations, there is the page at **Administration > Projects > Management**, which allows you to manage project existence.

## How do I provision a project before its first analysis? <a href="#how-do-i-provision-a-project-before-its-first-analysis" id="how-do-i-provision-a-project-before-its-first-analysis"></a>

Provisioning a project allows you to declare and configure it (define permissions, set quality profiles, etc.) before running the first analysis. To be able to provision projects, you have to be logged in and be granted the **Provision Projects** permission.

To provision a new project, either go to the **Projects** page and select **Create Project**, or go to **Administration > Projects > Management** and select **Create Project**.

Once the project is provisioned, you can configure it (define permissions, set quality profiles, etc.), and when you’re finished with the configuration, you can simply run the project’s first analysis.

You can also provision and configure projects using the Web API.

## How do I find provisioned projects (that haven’t been analyzed yet)? <a href="#how-do-i-find-provisioned-projects-that-havent-been-analyzed-yet" id="how-do-i-find-provisioned-projects-that-havent-been-analyzed-yet"></a>

The **Projects Management** search interface includes a toggle to allow you to narrow your results on this page to only projects that have never been analyzed. From there you can deal with them on this page as a set, or click through to the individual project homepages for individual attention and administration.

## How do I lock down permissions on a project? (Private vs Public) <a href="#how-do-i-lock-down-permissions-on-a-project-private-vs-public" id="how-do-i-lock-down-permissions-on-a-project-private-vs-public"></a>

By default, any newly created project will be public. It means every SonarQube Server user, authenticated or not, will be able to:

* **Browse**: Access a project, browse its measures and issues, and perform some issue edits (confirm, assign, comment).
* **See Source Code**: View the project’s source code.

If you want to be sure only a limited list of groups and users can see the project, you need to mark it Private. Once a project is private you will be able to define which groups and users can **Browse** the project or **See Source Code**.

If you want all newly created projects to be private, you can change the default visibility in **Administration > Projects > Management**.

## How do I delete projects? <a href="#how-do-i-delete-projects" id="how-do-i-delete-projects"></a>

A project may be deleted individually from the **Administration** page of the project. See [Project settings](/sonarqube-server/10.1/project-administration/project-settings.md) for more details. To delete projects in bulk, use **Administration > Projects > Management**. Here you can select the projects to delete. A deleted project is gone for good, there is no way to undo this action.

## How do I find projects that are no longer analyzed? <a href="#how-do-i-find-projects-that-are-no-longer-analyzed" id="how-do-i-find-projects-that-are-no-longer-analyzed"></a>

The **Projects Management** search interface includes a date picker to help you find all projects last analyzed before your specified date. From there you can deal with them on this page as a set, or click through to the individual project homepages for individual attention and administration.

In **Administration** > **Projects** > **Management** search for **Last analysis before** to filter projects not analyzed since a specific date. Then use bulk **Delete** to remove the projects that match your filter.

This can be automated by using the corresponding Web API: `api/projects/bulk_delete?analyzedBefore=YYYY-MM-DD`.

Note that projects that are not analyzed for seven consecutive days are considered inactive, and SonarQube Server automatically deletes their cached data to free space in the database. See [Branch analysis](/sonarqube-server/10.1/analyzing-source-code/branches/branch-analysis.md) for more information on inactive branches and cached data.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sonarsource.com/sonarqube-server/10.1/project-administration/project-existence.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
